#!/bin/bash

for yr in 2015 ; do
    ln -sf /store/pverezem/NNATL12/NNATL12-I-GV12/${yr}/* ./
    mpirun -np 14 ./bdy_mk_coordinates_from_file_mpp.exe -c ./nbdy_coordinate_file.nc -t N -data -v vomecrty
    rm vosaline_GL* votemper_GL* vozocrtx_GL* vomecrty_GL*
    #for var in vosaline votemper vozocrtx vomecrty ; do
    for var in vomecrty ; do
        if [ $var == 'vosaline' ]
        then
   		nvar=S
	elif [ $var == 'votemper' ]
	then
   		nvar=T
	elif [ $var == 'vozocrtx' ]
	then
   		nvar=U
	elif [ $var == 'vomecrty' ]
	then
   		nvar=V
	fi
        ncrcat -h -O bdydta_${var}_GLORYS12-NNATL12_y${yr}m* GLORYS12-NNATL12_Nbdy${nvar}_y${yr}.nc
	rm bdydta_${var}_GLORYS12-NNATL12_y${yr}m*
    done
done
 
