#!/bin/bash

for yr in {2009..2015} ; do
    ln -sf ../${yr}/sossheig_* ./
    mpirun -np 14 ./bdy_mk_coordinates_from_file_mpp.exe -c ./nbdy_coordinate_file.nc -t N -data -v sossheig
    rm sossheig_GL*
    nvar=SSH
    ncrcat -h -O bdydta_sossheig_GLORYS12-NNATL12_y${yr}m* GLORYS12-NNATL12_Nbdy${nvar}_y${yr}.nc
    rm bdydta_sossheig_GLORYS12-NNATL12_y${yr}m*
done
 
